using System;
using System.ComponentModel;

namespace ynhtm.Upfile.Lib
{
    public class HyperlinkButton : System.Windows.Controls.HyperlinkButton
    {
        public event EventHandler<CancelEventArgs> Clicking;

        protected override void OnClick()
        {
            var e = new CancelEventArgs();
            if (this.Clicking != null) this.Clicking(this, e);
            if (!e.Cancel) base.OnClick();
        }
    }
}
